using System;
using System.IO;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using Ocarina2.Models;
using Ocarina2.ViewModels;

namespace Ocarina2.Views;

public partial class LibraryView : UserControl
{
    public LibraryView()
    {
        InitializeComponent();
    }

    private void InitializeComponent()
    {
        AvaloniaXamlLoader.Load(this);
    }

    private void MusicBox_OnSelectionChanged(object? sender, SelectionChangedEventArgs e)
    {
        if (sender is not ListBox b) return;
            (DataContext as MainWindowViewModel)?.FileSelected(b.SelectedItem as MusicFile);
        
    }
}